Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886462 - IO doesn't recognize namespaces - 2 resources with the same name in 2 namespaces -> only 1 gets collected
Summary: IO doesn't recognize namespaces - 2 resources with the same name in 2 namespa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Ricardo Lüders
QA Contact: psimovec
URL:
Whiteboard:
Depends On:
Blocks: 1888165
TreeView+ depends on / blocked
 
Reported: 2020-10-08 13:55 UTC by Ricardo Lüders
Modified: 2021-02-24 15:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The IO wasn't considering the resource namespace when saving the data to the archive. Consequence: Resources with the same name, but in different namespaces ended up being overwritten. Fix: Added to the report path the namespace of the resource. Result: All reports are now being collected with its namespace.
Clone Of:
: 1888165 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:24:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 209 0 None closed Bug 1886462: Add the namespace to the gatherers reports to avoid conflicts 2021-02-18 23:07:59 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:29 UTC

Description Ricardo Lüders 2020-10-08 13:55:58 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 psimovec 2020-10-12 09:43:02 UTC
pdb records are now inside another folder with name of their namespace.

config/pdbs/openshift-etcd/etcd-quorum-guard.json
config/pdbs/openshift-ingress/router-default.json

which fixes the problem with pdbs.. (linked PR doesn't fix the whole problem about rewriting records with same name, but it should be done in another PR/PRs)

verified on 4.7.0-0.ci-2020-10-11-211311

Comment 5 errata-xmlrpc 2021-02-24 15:24:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.